Subscribe / Unsubscribe Enewsletters | Login | Register

Pencil Banner

FAQ: No, you can't have Lion

Gregg Keizer | June 17, 2011
Mac OS X 10.7 isn't for everyone; some will be left behind

 

My Mac has just 1GB of memory. Is that enough for Lion? No. Lion requires 2GB, twice that of Snow Leopard.

It wasn't that long ago -- mid-2008 for the MacBook and iMac -- when Apple stocked systems with only 1GB, so even though yours has a Core 2 Duo processor and meets the CPU requirement, it might not cut it on RAM.

The lack of RAM shouldn't stop you from upgrading to Lion: It's easy and inexpensive to boost memory in a Mac. Crucial, one of the largest RAM sellers, prices a 4GB upgrade for the early-2008 MacBook at $60.

 

I stuck with Leopard. But I hear you need Snow Leopard to get Lion. What's that about? Blame Apple for pushing Lion through the Mac App Store.

Snow Leopard is the only edition of Mac OS X that supports the download market.

Apple's made it clear that you'll need to be running Snow Leopard, at least initially. "To upgrade on day one ... make sure you have the latest version of Snow Leopard," Apple says on its Lion site.

The "day one" reference leaves Apple enough wiggle room that it may offer an alternative to the Mac App Store download later, and thus give users running Leopard a way to migrate to Lion.

Or if you're betting Apple won't come through, then do a two-step upgrade now: first to Snow Leopard (for $29), then to Lion (for $30) next month. That's not ideal -- Mac owners have complained loudly, including on Apple's support forums -- but it's cheaper than a new Mac.

 

Previous Page  1  2 

Sign up for Computerworld eNewsletters.